package com.prolog.cs.biz.inbound.dao.rqc;

import com.prolog.cs.biz.inbound.dto.rqc.RqcLinesDTO;
import com.prolog.cs.biz.inbound.model.rqc.RqcLines;
import com.prolog.cs.biz.inbound.vo.LineQueryVO;
import com.prolog.cs.biz.inbound.vo.RqcDQueryVO;
import com.prolog.framework.dao.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description
 * @Date 2021-03-24
 */
public interface RqcLinesMapper extends BaseMapper<RqcLines> {
	List<RqcLinesDTO> findList(RqcDQueryVO queryVO);

	RqcLinesDTO findByPkId(String pkId);

	List<RqcLinesDTO> getReport(LineQueryVO lineQueryVO);

	Long findCountByRcvHeaderId(String rcvHeaderId);

	List<RqcLinesDTO> getHostRqcResult(@Param("itemId") String itemId,
			@Param("batchId") String batchId);

	List<RqcLinesDTO> findListNew(RqcDQueryVO queryVO);

}
